/*	
	PagineGialle 1.3
	
	Author: Paolo Grifantini 09/08/2011
	Contact: pagri@tele2.it
	
	This work is licensed under a Creative Commons License
	http://creativecommons.org/licenses/by-nc-sa/2.0/
	
	Attribution-NonCommercial-NoDerivative 2.0
	
	You are free:
	* to copy, distribute and display the work
	
	Under the following conditions:
	* Attribution. You must give the original author credit.
	* Noncommercial. You may not use this work for commercial purposes.
	* No derivative works allowed.
	
	* For any reuse or distribution, you must make clear to others the license terms of this work.
	* Any of these conditions can be waived if you get permission from the copyright holder.
	
*/

var newShow = { show : function(element) { $(element).style.display = 'block'; return element; } }
Element.addMethods(newShow);

var current_version = "1.3";
var there_is_a_new_version = false;

window.onload = init;

function init()
{
	localize_strings();
	
	CreateButton('button', { text: getLocalizedString('cerca'), onclick: 'getCosa', rightImageWidth: 5, leftImageWidth: 5 });
	
	setTimeout("version_check();", 20*1000);
}

function localize_strings()
{
	document.getElementById("MappaSelectDiv").alt = getLocalizedString('title_tooltip_on');
	document.getElementById("MappaSelectDiv").title = getLocalizedString('title_tooltip_on');
	
	document.getElementById("surnameLabel").innerHTML = getLocalizedString('surnameLabel');
	document.getElementById("capcodeLabel").innerHTML = getLocalizedString('capcodeLabel');
	document.getElementById("vicinoaLabel").innerHTML = getLocalizedString('vicinoaLabel');
}

var cosaVis='';

function resize_on_finish(obj){
  window.resizeTo(269,45);
}

function showDiv(divName)
{
	// prima nascondo gli altri
	
	if (divName=='cosa'){
	
		if (cosaVis){
			cosaVis='';
			//document.getElementById("MappaSelect0").style.color = 'orange';
			
			//document.getElementById('riCosa').style.display = 'none';
			Effect.BlindUp('riCosa',{ duration: 0.2, afterFinish: resize_on_finish});
			
			document.getElementById('lista_comuni').style.display = "none";
			
			document.getElementById("MappaSelectDiv").alt = getLocalizedString('title_tooltip_on');
			document.getElementById("MappaSelectDiv").title = getLocalizedString('title_tooltip_on');
			
			//window.resizeTo(269,45);
		}
		else {
			cosaVis=1;
			//document.getElementById("MappaSelect0").style.color = 'black';
			
			//prima nascondi le altre
			
			//resetta campi
						
			document.getElementById('surname').value = '';
			document.getElementById('capcode').value = '';
			
			document.getElementById('surnameLabel').style.color = 'black';
			
			document.getElementById('nomeVia').value = '';
			document.getElementById('numeroCivico').value = '';
			
			//poi mostra
			
			document.getElementById("MappaSelectDiv").alt = getLocalizedString('title_tooltip_off');
			document.getElementById("MappaSelectDiv").title = getLocalizedString('title_tooltip_off');
			
			window.resizeTo(269,300);
			//document.getElementById('riCosa').style.display = 'block';
			Effect.BlindDown('riCosa',{ duration: 0.2 });
		}
	}

}

function getCosa()
{
	toReturn = '';
	
	cognome=document.getElementById('surname').value;
	cognomeSenzaSpazi = cognome.replace(/\s+/g," ");
		
	if ( (cognomeSenzaSpazi == '') || (cognomeSenzaSpazi == ' ') ){
		document.getElementById('surnameLabel').style.color = 'red';
				
		toReturn = 1;
	}
	
	if (toReturn) {return;}
	
	cognome = cognome.replace(/[\s]+/g,'+');
	
	indirizzo=document.getElementById('capcode').value;
	indirizzo = indirizzo.replace(/[\s]+/g,'+');
	
	
	strada=document.getElementById('nomeVia').value;
	strada = strada.replace(/[\s]+/g,'+');

	civico=document.getElementById('numeroCivico').value;
	
	widget.openURL("http://www.paginegialle.it/pgol/4-"+cognome+"/3-"+indirizzo+"?ind=" + strada + "+" + civico);

}

//************ version check **************************************

function goToDownloadPage()
{
	// vai al sito
	widget.openURL("http://www.palple.net/widgets/paginegialle/PagineGialle.zip");
}

var version_req_stop_timeout = false;
var version_req_timeout = false;

function loadVersionPage(url)
{
	if (window.XMLHttpRequest) {
		version_req = new XMLHttpRequest();
		version_req.onreadystatechange = parseVersionPage;
		version_req.overrideMimeType("text/xml");
		version_req.setRequestHeader("Cache-Control", "no-cache")
		version_req.open("GET", url, true);
		version_req.send(null);
		
		version_req_stop_timeout = false;
		version_req_timeout = false;
		setTimeout("version_req_send_timeout();",5000);
	}
}

function version_req_send_timeout()
{
	if (version_req_stop_timeout){return;}
	version_req_timeout = true;
}

function isGreaterVersion(release1, release2)
{
	// faccio uno split per il '.' e poi verifico valore per valore
	release1_numbers = release1.split('.');
	release2_numbers = release2.split('.');
	
	release1_value = 0;
	release2_value = 0;
	
	// risolvo matematicamente che è più elegante...
	
	for (var i=0;i<release1_numbers.length;i++){
		release1_value += release1_numbers[i]*(Math.pow(10,-i*3));
	}
	
	for (var i=0;i<release2_numbers.length;i++){
		release2_value += release2_numbers[i]*(Math.pow(10,-i*3));
	}
	
	if (release1_value > release2_value) return true;
	
	return false;
	
	/* wrong
	for (i=0;i<release1_numbers.length;i++){
		try {number_exists = release2_numbers[i];} catch (ex){return true;} // se non esiste il valore nella seconda...
		if (release1_numbers[i] > release2_numbers[i]) {return true;} else if (release1_numbers[i] < release2_numbers[i]) {return false;}
	}*/
}

function parseVersionPage()
{
	if (version_req_timeout) {version_req.abort(); version_req_timeout = false; version_req_stop_timeout = true; return;}
	
	if ((version_req.readyState == 4) && (version_req.status == 200)) {
		version_req_stop_timeout = true;
		version_req_timeout = false;
		
		latest_version = version_req.responseXML.getElementsByTagName("version");
		latest_version = latest_version[0].firstChild.data;
		
		// faccio una comparazione tra versioni
		if (isGreaterVersion(latest_version,current_version)){
			there_is_a_new_version = true;
		}
		
		/*
		if (latest_version != current_version){
			there_is_a_new_version = true;
		}*/
		//debug (latest_version);
		
		if (there_is_a_new_version) {
			new_version_badge.style.display = "block"
			new_version_tooltip_string = getLocalizedString('new_version_tooltip') + " " + latest_version + " (" + getLocalizedString('you_have') + " " + current_version + ")";
			new_version_badge.setAttribute ("title", new_version_tooltip_string);
		}
	}
}

function version_check()
{
	loadVersionPage('http://www.palple.net/widgets/paginegialle/version.xml');
}